SND_DEVICE_NEW(9)

NAME
snd_device_new - create an ALSA device component

SYNOPSIS

int snd_device_new (struct snd_card * card, snd_device_type_t type, void * device_data, struct snd_device_ops * ops);

ARGUMENTS

card
    the card instance

type
    the device type, SNDRV_DEV_XXX

device_data
    the data pointer of this device

ops the operator table

DESCRIPTION

Creates a new device component for the given data pointer. The device will be assigned to the card and managed together by the card.

The data pointer plays a role as the identifier, too, so the pointer address must be unique and unchanged.

Returns zero if successful, or a negative error code on failure.